git-annex-fromkey(1)

NAME
git-annex-fromkey - adds a file using a specific key

SYNOPSIS
git annex fromkey [key file ...]

DESCRIPTION
This plumbing-level command can be used to manually set up a file in the git repository to link to a specified key.

Multiple pairs of file and key can be given in a single command line.

If no key and file pair are specified on the command line, they are instead read from stdin. Any number of lines can be provided in this mode, each containing a key and filename, separated by a single space.

Normally the key is a git-annex formatted key. However, to make it easier to use this to add urls, if the key cannot be parsed as a key, and is a valid url, an URL key is constructed from the url. Note that this does not register the url as a location of the key; use git-annex-registerurl(1) to do that.

OPTIONS

--force

    Allow making a file link to a key whose content is not in the local repository. The key may not be known to git-annex at all.

SEE ALSO
git-annex(1)

AUTHOR
Joey Hess <id@joeyh.name>